package org.jeecg.modules.deliver.cmos.job.task;

import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.jeecg.digital.task.fpsc.FpBswjscTaskService;
import org.jeecg.modules.deliver.cmos.job.CmosConstants;
import org.jeecg.modules.deliver.cmos.job.CmosTask;
import org.springframework.stereotype.Component;

@Slf4j
@RequiredArgsConstructor
@Component
public class CmosFpbswjscTask implements CmosTask {

    final FpBswjscTaskService fpBswjscTaskService;

    @Override
    public String getType() {
        return CmosConstants.FP_BSWJSC;
    }

    @Override
    public void execute() throws Exception {
        fpBswjscTaskService.execute();
    }
}
